Package com.evopdf

# Enum NetworkProxyType

java.lang.Object
java.lang.Enum<NetworkProxyType>
com.evopdf.NetworkProxyType

All Implemented Interfaces:
  `Serializable`, `Comparable<NetworkProxyType>`, `java.lang.constant.Constable`

public enum NetworkProxyType extends Enum<NetworkProxyType>
The type of proxy used by converter to resolve requests

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Http`
  HTTP transparent proxy
  `HttpCaching`
  HTTP caching proxy
  `None`
  No proxy is used
  `Socks5`
  Proxy for any kind of connection

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static NetworkProxyType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static NetworkProxyType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final NetworkProxyType None
    No proxy is used

  - ### Socks5

    public static final NetworkProxyType Socks5
    Proxy for any kind of connection

  - ### Http

    public static final NetworkProxyType Http
    HTTP transparent proxy

  - ### HttpCaching

    public static final NetworkProxyType HttpCaching
    HTTP caching proxy

- ## Method Details

  - ### values

    public static NetworkProxyType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NetworkProxyType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()